Package net.shibboleth.idp.plugin.authn.webauthn.impl

# Class DefaultUserHandleLookupStrategy

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.impl.DefaultUserHandleLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,byte[]>`

@ThreadSafe public class DefaultUserHandleLookupStrategy extends Object implements Function<ProfileRequestContext,byte[]>
A strategy to locate the userHandle first from an assertion response and then, if that does not exist, from the userId in the WebAuthn authentication context.

Since:
  1.1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`DefaultUserHandleLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`apply(ProfileRequestContext prc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### DefaultUserHandleLookupStrategy

public DefaultUserHandleLookupStrategy()

## Method Details

### apply

public byte[] apply(ProfileRequestContext prc)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,byte[]>`